QXmpp Version:0.3.91

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends
QXmppRpcInvokeIq Class Reference
Stanzas

The QXmppRpcInvokeIq class represents an IQ used to carry an RPC invocation as specified by XEP-0009: Jabber-RPC. More...

`#include <QXmppRpcIq.h>`

Inheritance diagram for QXmppRpcInvokeIq:

List of all members.

## Public Member Functions
QString | method () const
void | setMethod (const QString &method)
QVariantList | arguments () const
void | setArguments (const QVariantList &arguments)
## Friends
class | QXmppRpcErrorIq

## Detailed Description

The QXmppRpcInvokeIq class represents an IQ used to carry an RPC invocation as specified by XEP-0009: Jabber-RPC.

## Member Function Documentation

QVariantList QXmppRpcInvokeIq::arguments | ( |  | ) | const

Returns the method arguments.

QString QXmppRpcInvokeIq::method | ( |  | ) | const

Returns the method name.

void QXmppRpcInvokeIq::setArguments | ( | const QVariantList & | arguments | ) |

Sets the method arguments.

Parameters:

  arguments |

void QXmppRpcInvokeIq::setMethod | ( | const QString & | method | ) |

Sets the method name.

Parameters:

  method |

The documentation for this class was generated from the following files:

- QXmppRpcIq.h
- QXmppRpcIq.cpp

All Classes Functions Enumerations Enumerator Properties